libvmime (0.9.2-8.2~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Steve Langasek <vorlon@debian.org>  Fri, 02 Feb 2024 19:20:47 +0000

libvmime (0.9.2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change libgsasl7-dev into libgsasl-dev following Debian
    package renaming (Closes: #1051031)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 Sep 2023 00:08:37 +0200

libvmime (0.9.2-8) unstable; urgency=medium

  * [4fe0f91] Rebuild patch queue from patch-queue branch
    - added patch:
      fixes/Compatibility-Use-C99-C-analogues-for-TRUE-FALSE.patch
      Adding C99 / C++ compatible true/false defines.
      Thanks László Böszörményi for this prepared patch!
   (Closes: #1004036)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Jan 2022 12:20:47 +0100

libvmime (0.9.2-7) unstable; urgency=medium

  [ Simon Josefsson ]
  * [b30c950] Rebuild patch queue from patch-queue branch
    - Adding Don-t-use-deprecated-gsasl-symbols.patch
    (Closes: #997850)

  [ Carsten Schoenert ]
  * [22576d7] d/control: Bump Standards-Version to 4.6.0
    - No further changes needed.
  * [baa26d4] d/libvmime-dev.examples: Install also the examples folder
  * [5cda606] d/u/metadata: Adding some basic metadata

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 27 Oct 2021 20:25:21 +0200

libvmime (0.9.2-6) unstable; urgency=medium

  * [d53cb5c] d/control: Update Vcs URLs to Salsa
    - The packaging tree has moved to Salsa in the past, reflecting this by
      adjusting the Vcs fields.
  * [c888548] d/watch: Update to version 4
  * [d373804] rebuild patch queue from patch-queue branch
    - added patch:
      fixes/Avoid-extern-C-blocks-around-ICU-includes.patch
      Fixes a FBFS if ICU >= 67.1 gets build. But also doesn't harm a
      rebuild with current available ICU version in unstable/testing.
      Thanks László Böszörményi for pointing to this fix!
   (Closes: #960240)
  * [e9122c3] dh: move to dh-compat 13
    - Update the required debhelper version to recent version. No further
      adjusting is needed.
  * [cbe37de] d/libvmime1.symbols: adding Build-Depends-Package
  * [1001369] d/rules: remove --parallel from default target
    - This option for the default target isn't needed now anymore.
  * [98c35af] d/control: d/control: adding Rules-Requires-Root to source section
  * [772827a] d/control: increase Standards-Version to 4.5.0
    - No further changes needed.
  * [0b9eb48] d/control: Update Maintainer email contact address

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 May 2020 09:26:12 +0200

libvmime (0.9.2-5) unstable; urgency=medium

  * [b1bc227] rebuild patch queue from patch-queue branch
    - modified patch:
      adding-alternative-getThreadId-implementation.patch ->
       porting-kfreebsd-hurd/adding-alternative-getThreadId-implementation.patch
      Thanks Aaron M. Ucko!
    (Closes: #875729)
  * [3fbf367] debian/control: increase Standards-Version to 4.1.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 19 Oct 2017 20:55:31 +0200

libvmime (0.9.2-4) unstable; urgency=medium

  * [d86a981] rebuild patch queue from patch-queue branch
    - Adding adding-alternative-getThreadId-implementation.patch
      to add an alternative getThreadId() function on non Posix platforms
      like kFreeBSD* and Hurd.
      Patch based on work from the BSD people.
    (Closes: #875456)
  * [008eff7] libvmime1.symbols: adding a symbols file
  * [9becf26] debian/rules: remove override_dh_makeshlibs
  * [e098848] debian/control: increase Standards-Version to 4.0.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 Sep 2017 19:52:28 +0200

libvmime (0.9.2-3) unstable; urgency=medium

  * [27a494d] debian/control: increase Standards-Version to 4.0.0
  * [35b3286] use make syntax for DEB_HOST_MULTIARCH substitution
  * [93a1268] debian/rules: use dh_makeshlibs with needed symbol version
    - GCC-7 is now the default compiler, let makeshlibs add the correct symbol
      version to the package.
    (Closes: #871303)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 08 Aug 2017 16:01:21 -0400

libvmime (0.9.2-2) unstable; urgency=medium

  * upload to unstable
  * [840506b] debian/gbp.conf: adjust to debian/sid

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Jun 2017 20:38:46 +0200

libvmime (0.9.2-1) experimental; urgency=medium

  * [7bd007d] libvmime-dev: remove Multi-Arch: same declaration
    - The -dev package don't really need a Multi-Arch: same flag
  * [cbd870a] debian/watch: adjust file after a first tag on GitHub
  * [a4be564] New upstream version 0.9.2
  * [a937065] rebuild patch queue from patch-queue branch
    - Removing all the old patches, they not needed anymore
    - Adding a new typo fixing patch that is also accepted upstream
  * [1a728f3] debian/control: adjust B-D for vmime 0.9.2
    - Upstream switched to cmake as build system
    - Also we need now libgtk3-dev and sendmail as Build-Depends
  * [a3f86e7] debian/rules: modify override targets to new vmime requirements
    - Reworking debian/rules so we can use the dh-seqencers with the cmake
      system from upstream
  * [a3d78a9] libvmime0 -> libvmime1: API change to v1.0.0
    - The API version has now changed from 0.0.0 to 1.0.0
  * [feffe05] debian/control: libvmime-dev; adopt needed changes for Depends
    - The -dev package is requiring the libvmime1 package for using the
      correct library version
  * [7d9c37a] libvmime1-doc: adding new package
    - We can provide a API documentation for libvmime1
  * [8f44c2d] building also doxygen API documentation for -doc package
    - Split of the build into arch and indep targets so buildds only need to
      build the binary stuff if documentation is built ance
  * [6c47a33] debian/copyright: adopt changes since release 0.9.1
    - By the switch to camke as build environment some files and the copyright
      holders have changed
  * [caeacbf] debian/docs: change files to include
    - There are small changes on files with addititional information from
      upstream
  * [0350b30] lintian-overrides: add some overrides M-A related

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Apr 2017 00:42:27 +0200

libvmime (0.9.1-7) unstable; urgency=medium

  [ Chris Lamb ]
  * [4169a99] debian/rules: fix miss spelled override_dh_auto_clean

  [ Carsten Schoenert ]
  * [b7f552d] debhelper: moving to version 10
  * [27d5159] adjusting *.install files to multiarch behaviour
  * [e6ff552] debian/rules: adjust the targets after dh version change
  * [9793799] debian/rules: fixing the usage of CFLAGS
  * [b4c2a1c] Multi-Arch: Adding suggested MA related control fields

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 18 Dec 2016 19:20:46 +0100

libvmime (0.9.1-6) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [d8329e8] debian/control: fixup https URI for Git cloning
  * [a1d9a5d] update Standard-Versions to 3.9.8
  * [797ac38] rebuild patch queue from patch-queue branch
    - Fixing FTBFS with GCC-6 (Thanks Jan Engelhard from Zarafa)
      (Closes: #831162)
  * [64ba751] libvmime-dev: increase dependency on libgnutls28-dev to 3.4.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Jul 2016 19:44:24 +0200

libvmime (0.9.1-5) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [7b58f1d] rebuild patch queue from patch-queue branch
    - Adding patch to fix FTBFS after new gnutls28-dev version
      (Closes: #812969)
  * [57b4d94] lintian: fixing vcs-field-uses-insecure-uri
  * [30fedae] debian/rules: enable build with debug symbols
  * [cadb89e] debian/control: increase B-D on libgnutls28-dev
  * [198924f] debian/copyright: update copyright information

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 Feb 2016 21:06:03 +0100

libvmime (0.9.1-4) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [b393a9e] Revert "debian/libvmime0.symbols: adding a symbol file"
    - Remove the libvmime0.symbol file again.
  * [966e4e3] debian/control: adjust Vcs-field from gitweb to cgit
  * [c2ae90e] debian/compat: bump to debhelper 8
  * [dfeb8b7] debian/rules: adopting changes after dh8 bump
    - Switching to dh-sequenzer within the rules file.
  * [f31b9d1] rebuild patch queue from patch-queue branch
    - Adjusting small changes to configure.in and Makefile.am to get the
      bootstap script working again.
  * [c1d3af2] rebuild 'configure' by the 'bootstrap' script
    - After switching to dh8 sequenzed handling we have to ensure that we
      have a re created configure and autotools scripts to build on newer
      platforms as well.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 21 Sep 2015 22:02:59 +0200

libvmime (0.9.1-3) unstable; urgency=medium

  [ Edmund Grimley Evans ]
  * [64ad534] FTBFS: fix broken build on arm64 (Closes: #787212)

  * [7c3637a] debian/rules: small reformating and whitespace cleanup
  * [a3c75e9] debian/libvmime0.symbols: adding a symbol file
  * [8e9d301] debian/watch: correct watching url

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 10 Aug 2015 22:31:59 +0200

libvmime (0.9.1-2) unstable; urgency=medium

  [ Carsten Schoenert ]
  * re import old versions from dsc files (closes: #783603)
  * [74b0dcf] adding a gbp.conf for debian/experimental
  * [b90e53e] rebuild patch queue from patch-queue branch
  * [fae8648] lintian: fix binary-control-field-duplicates-source
  * [94acb31] lintian: fix duplicate-long-description
  * [60bb666] debian/control: bumping standard-version and b-d on debhelper
  * [87b35c1] debian/control: reorder Depends fields
  * [4103962] debian/control: change Maintainer, adding Uploaders
  * [3c3742d] lintian: fixing hardening-no-fortify-functions
  * [2d21a68] debian/control: change Maintainer, adding myself as Uploader
  * [e9d2a23] debian/control: adding Vcs-Git and Vcs-Browser field
  * [b5fe641] debian/copyright: update to DEP-5 format
  * [fcee2c5] debian/gbp.conf: addopt to debian/sid branch

  [ Matthias Geerdsen ]
  * [60aef36] Update for gnutls28-dev
  * [e55ce7a] Switch to 3.0(quilt) format
  * [5e10a59] debian/control: remove b-d on libgcrypt20-dev

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 12 May 2015 22:05:36 +0200

libvmime (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge non-maintainer upload (closes: #610151, #529834)
  * Updated to Debian Policy v3.9.2.

 -- Mattias Nordstrom <mnordstr@debian.org>  Wed, 13 Jul 2011 14:45:56 +0300

libvmime (0.9.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping libtool la files in binary packages.
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval Closes: #610151

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Feb 2011 09:46:41 +0100

libvmime (0.9.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use pkg-config to locate gnutls. (Closes: #529834)

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Nov 2009 18:11:44 +0100

libvmime (0.9.0-1) unstable; urgency=low

  * New upstream release
  * Added patch to fix FTBFS on GCC 4.4 (closes: #504941)
  * Updated to Debian Policy v3.8.1.0, no changes needed.

 -- Mattias Nordstrom <mnordstr@debian.org>  Sat, 11 Apr 2009 15:49:56 +0300

libvmime (0.8.1-3) unstable; urgency=low

  * Applied patch for GCC 4.3 (closes: #461696)
  * Updated watch file (closes: #462829)

 -- Mattias Nordstrom <mnordstr@debian.org>  Sat, 08 Mar 2008 16:12:07 +0200

libvmime (0.8.1-2) unstable; urgency=low

  * New maintainer email address.
  * Added patch for GnuTLS 2.2 (closes: #450854)
  * Modified Debian watch file to use SF script (closes: #450117)
  * Updated to Debian Policy v3.7.3. no changes needed.

 -- Mattias Nordstrom <mnordstr@debian.org>  Mon, 21 Jan 2008 13:54:32 +0200

libvmime (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Added patch by Martin Michlmayr to fix FTBFS with GCC 4.3 (closes: #421117)

 -- Mattias Nordstrom <nordstrom@realnode.com>  Sat, 14 Jul 2007 17:26:32 +0300

libvmime (0.8.0+cvs20061009-1) unstable; urgency=low

  * New upstream CVS checkout.

 -- Mattias Nordstrom <nordstrom@realnode.com>  Mon,  9 Oct 2006 19:53:39 +0300

libvmime (0.8.0-3) unstable; urgency=low

  * Removed post* and pre* files as they didn't do anything.
  * Updated to Debian Policy v3.7.2, no changes needed.
  * Updated to debhelper version 5.
  * Updated copyright file to include proper license information.
  * Removed old /usr/share/pkgconfig line from libvmime-dev.install.

 -- Mattias Nordstrom <nordstrom@realnode.com>  Sat, 13 May 2006 23:34:05 +0300

libvmime (0.8.0-2) unstable; urgency=low

  * Added dependency on libgnutls-dev and libgsasl7-dev for libvmime-dev
    (closes: #348879)

 -- Mattias Nordstrom <nordstrom@realnode.com>  Sat, 21 Jan 2006 15:25:10 +0200

libvmime (0.8.0-1) unstable; urgency=low

  * Initial release (closes: #341388)

 -- Mattias Nordstrom <nordstrom@realnode.com>  Wed, 30 Nov 2005 22:37:56 +0200
